Covering (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class Covering

- java.lang.Object
- - siena.Covering

-     public class Covering
      extends java.lang.Object

  implementation of the covering relations. `Covering` implements the covering relations that determine the semantics of Siena. This class is used internally by the implementation of Siena. However, it is also provided as a public class in the siena package for convenience.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Covering()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `apply_operator(short op, AttributeValue x, AttributeValue y)` semantics of operators in filters.
    `static boolean` | `apply(AttributeConstraint ac, AttributeValue av)`
    `static boolean` | `apply(Filter f, Notification e)` semantics of subscriptions
    `static boolean` | `covers(AttributeConstraint af1, AttributeConstraint af2)` covering between two attribute constraints.
    `static boolean` | `covers(Filter f1, Filter f2)` covering relation between two filters.
    `static boolean` | `covers(Pattern p1, Pattern p2)` covering relation between two patterns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Covering

          public Covering()

  - ### Method Detail

    - #### apply_operator

          public static boolean apply_operator(short op,
                               AttributeValue x,
                               AttributeValue y)

      semantics of operators in filters. `apply_operator(op, x, y)` is equivalent to x op y

    - #### covers

          public static boolean covers(AttributeConstraint af1,
                       AttributeConstraint af2)

      covering between two attribute constraints. true when `af1` defines a set of attribute values Saf1 that contains the set of attribute values Saf2 defined by `af2`, in other words true iff af2 ==> af1, i.e., for every `AttributeValue` x: x op2 f2 ==> x op1 f1 where op2 is the operator defined by af2 and f2 is the value defined by af2. Same thing for af1.

    - #### apply

          public static boolean apply(AttributeConstraint ac,
                      AttributeValue av)

    - #### apply

          public static boolean apply(Filter f,
                      Notification e)

      semantics of subscriptions

    - #### covers

          public static boolean covers(Filter f1,
                       Filter f2)

      covering relation between two filters. true iff for all notifications n: apply(f2,n) ==> apply(f1,n)

    - #### covers

          public static boolean covers(Pattern p1,
                       Pattern p2)

      covering relation between two patterns.

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga